Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_node_get_literal_value_datatype_uri

## Name

librdf_node_get_literal_value_datatype_uri -- Get the typed literal datatype URI of the literal node

## Synopsis

``librdf_uri* `librdf_node_get_literal_value_datatype_uri`` (librdf_node* `node`);`

## Arguments

`node`

  the node object

## Return value

shared URI of the datatyped literal or NULL if the node is not a literal, or has no datatype URI

<<< Previous | Home | Next >>>
librdf_node_get_literal_value_is_wf_xml | Up | librdf_node_get_li_ordinal